## cipux-dog 3.4.0.0

=== debian/changelog ===
cipux-dog (3.4.0.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libmodule-build-perl without alternatives
    Closes: #788134

 -- Damyan Ivanov <dmn@debian.org>  Thu, 23 Jul 2015 17:34:24 +0000

cipux-dog (3.4.0.0-6) unstable; urgency=low

  * Improve package relations:
    + Drop relations for packages part of core Perl even in oldstable:
      - libversion-perl
      - libtest-simple-perl
    + Relax to unversioned relations when satisfied even in oldstable:
      - libclass-std-perl
      - libtest-pod-perl
      - libtest-pod-coverage-perl
    + Drop TODO file: Obsoleted by above.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Wrap Uploaders field in control file.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 May 2011 10:21:35 +0200

cipux-dog (3.4.0.0-5) unstable; urgency=low

  [ Xavier Oswald ]
  * Update my mail address

  [ Jonas Smedegaard ]
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Declare package relations recursively expanded.
  * Update copyright file to reflect no longer shipped forked CDBS
    snippets: update years; drop Colin Walters as owner.
  * Tighten build-dependency on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Apr 2010 10:03:13 +0200

cipux-dog (3.4.0.0-4) unstable; urgency=low

  * Update local CDBS snippets:
    + Consistently use underscore (not dash) in variables.
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Implement fail-source-not-repackaged rule
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
    + perl-build.mk:
      - Relax build-dependency on perl to be unversioned (see bug#525190
        and perl policy 3.8.3).
  * Build unversioned on cdbs and perl, thanks to CDBS dependency
    tracking.
  * Refer to FSF website (not postal address) in licensing headers of
    Debian packaging files.
  * Update debian/copyright:
    + Reformat to conform to draft DEP5 rev. 135.
    + Bump some coyright years.
    + Fix include disclaimer in GPL-2+ section of copyright.
    + Add reference to FSF website.
  * Bump Standards-Version to 3.8.4.
  * Use source format '3.0 "quilt"'.
  * Stop conditionally enabling DEB_AUTO_UPDATE_DEBIAN_CONTROL (adopted
    upstream since CDBS 0.4.67), to not bogusly upset lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Feb 2010 20:10:51 +0100

cipux-dog (3.4.0.0-3) unstable; urgency=low

  * Fix typo in README.source.
  * Extend local CDBS snippet package-relations.mk to support all kinds
    of dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 May 2009 16:43:45 +0200

cipux-dog (3.4.0.0-2) unstable; urgency=low

  * Fix short and long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Mar 2009 14:27:41 +0200

cipux-dog (3.4.0.0-1) unstable; urgency=low

  * Initial release.  Related to, but only partially solves, bug#357694.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Mar 2009 13:46:11 +0200
