=== debian/control ===
Source: cipux-dog
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Christian Kuelker <christian.kuelker@cipworx.org>,
 Xavier Oswald <xoswald@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 perl,
 libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 libcipux-perl (>= 3.4.0.0),
 libclass-std-perl,
 liblog-log4perl-perl,
 libreadonly-perl,
 libmodule-build-cipux-perl (>= 0.4.0),
 libtest-perl-critic-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl,
 libfile-spec-perl
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/cipux-dog.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-dog.git;a=summary
Homepage: http://www.cipux.org/

Package: libcipux-dog-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Description: command execution hook for CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains CipUX::Dog, used to execute external system
 commands.
