=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CipUX::Dog
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg_lib = libcipux-dog-perl

DEB_UPSTREAM_PACKAGE = CipUX-Dog
DEB_UPSTREAM_URL = http://release.cipux.org
DEB_UPSTREAM_TARBALL_MD5 = 19f63e2ac0a93b3dede517f50e62f7d0

# Needed both by upstream build (or test) process and at runtime
common-depends = libcipux-perl (>= 3.4.0.0), libclass-std-perl, liblog-log4perl-perl, libreadonly-perl
CDBS_DEPENDS_$(pkg_lib) = $(common-depends)
CDBS_BUILD_DEPENDS += , $(common-depends)

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libmodule-build-cipux-perl (>= 0.4.0)

# Needed by upstream tests
CDBS_BUILD_DEPENDS += , libtest-perl-critic-perl, libtest-pod-perl, libtest-pod-coverage-perl, libfile-spec-perl

# Needed (often) at runtime
CDBS_RECOMMENDS_$(pkg_lib) = libreadonly-xs-perl
